## runc-app 1.1.12

=== debian/changelog ===
runc-app (1.1.12-0ubuntu3) noble; urgency=medium

  * Build with Go 1.22.
    - d/control: b-d on golang-1.22-go instead of golang-1.21-go
    - d/rules: add Go 1.22 to $PATH

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 17 Apr 2024 16:52:45 -0300

runc-app (1.1.12-0ubuntu2) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:18:47 +0200

runc-app (1.1.12-0ubuntu1) noble; urgency=medium

  * New upstream release (LP: #2051918).

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Mon, 19 Feb 2024 18:31:43 -0300

runc-app (1.1.10-0ubuntu1) noble; urgency=medium

  * Initial release. See LP #2022390.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 13 Dec 2023 14:05:31 -0300
