## runc-app 1.2.5

=== debian/changelog ===
runc-app (1.2.5-0ubuntu1~24.10.1) oracular; urgency=medium

  * Backport from plucky to oracular (LP: #2085187)
  * d/control: build with golang 1.22 for consistency across the supported
    release
  * d/rules: add golang 1.22 to PATH

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 01 Apr 2025 17:33:57 -0300

runc-app (1.2.5-0ubuntu1) plucky; urgency=medium

  [ Lucas Kanashiro ]
  * Do not install example/test utilities (LP: #2076981)

  [ Athos Ribeiro ]
  * d/gbp.conf: use default value for merging
  * d/control: build with golang 1.24 (LP: #2098665)
  * d/rules: add golang 1.24 to PATH
  * New upstream version 1.2.5
  * d/p/0002-skip-privileged-test-factory_linux_test.go.patch: refresh patch
  * d/p/0004-skip-test-cgroups_test.go.patch: refresh patch
  * d/p/0008-tests-enable-seccomp-default-action-tests-on-arm.patch: drop
    patch applied upstream
  * d/p/0010-export-blockIODevice.patch: drop patch applied upstream
  * d/copyright: update copyright data
  * d/rules: set GO111MODULE to auto

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 18 Feb 2025 10:30:11 -0300

runc-app (1.1.12-0ubuntu4) oracular-proposed; urgency=medium

  * LP: #2076340: No-change rebuild to pick up changed build flags on
    ppc64el and s390x.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Aug 2024 14:55:51 +0200
