=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,8 @@
 # Build with Golang 1.22
 export PATH := /usr/lib/go-1.22/bin:$(PATH)
 
-export GO111MODULE := off
+# https://go.dev/blog/go116-module-changes
+export GO111MODULE := auto
 export GOCACHE := $(CURDIR)/.cache
 
 %:
@@ -35,3 +36,5 @@
 	dh_auto_install
 	# Do not ship the library code
 	$(RM) -vrf debian/runc/usr/share/gocode
+	# Do not ship example/test utilities (LP: #2076981)
+	$(foreach bin, recvtty sd-helper seccompagent, $(RM) -v debian/runc/usr/bin/$(bin))
