## runc-app 1.3.0

=== debian/changelog ===
runc-app (1.3.0-0ubuntu2~24.04.1) noble; urgency=medium

  * Backport from questing to noble (LP: #2112523)
    - d/control: do not include adjustments for runc-stable present in
      questing since runc-stable is not available in noble
  * d/control: build with golang 1.23
  * d/rules: add golang 1.23 to PATH

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Thu, 11 Sep 2025 15:09:29 -0300

runc-app (1.3.0-0ubuntu2) questing; urgency=medium

  * d/control: adjust for new runc-stable package in the archive
    - Conflicts/Replaces runc
    - Update package description

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Fri, 29 Aug 2025 15:00:07 -0300

runc-app (1.3.0-0ubuntu1) questing; urgency=medium

  * New upstream version 1.3.0
  * d/patches: drop patches to cgroups tests. runc now uses
    opencontainers/cgroups:
    - d/p/0001-skip-test-hugetlb_test.go.patch
    - d/p/0004-skip-test-cgroups_test.go.patch
    - d/p/0006-skip-test-paths_test.go.patch
    - d/p/0007-skip-test-manager_test.go.patch
    - d/p/0009-skip-test-file_test.go.patch
  * d/copyright: update copyright data

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 01 Jul 2025 10:50:35 -0300
