=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 12),
                dh-golang,
                go-md2man,
-               golang-1.22-go,
+               golang-1.23-go,
                libapparmor-dev,
                libseccomp-dev,
                pkg-config,
