## runc-app 1.4.0

=== debian/changelog ===
runc-app (1.4.0-0ubuntu1) resolute; urgency=medium

  * New upstream version 1.4.0
  * d/copyright: update copyright data
  * d/patches: drop patches applied upstream
    - improve-resilience-on-busy-system.patch
    - lp-2130744.patch

 -- Athos Ribeiro <athos@ubuntu.com>  Tue, 13 Jan 2026 12:54:08 -0300

runc-app (1.3.3-0ubuntu2) resolute; urgency=medium

   * SECURITY REGRESSION: Wrong default tmpfs permission handling
     (LP: #2130744)
     - d/p/lp-2130744.patch: rootfs: only set mode= for tmpfs
       mount if target already existed

 -- Nick Galanis <nick.galanis@canonical.com>  Wed, 19 Nov 2025 12:58:14 +0000

runc-app (1.3.3-0ubuntu1) resolute; urgency=medium

  * Import Upstream version 1.3.3
  * d/p/improve-resilience-on-busy-system.patch: fix regression on starting
    containers mounting paths with ".."

 -- Athos Ribeiro <athos@ubuntu.com>  Wed, 12 Nov 2025 20:35:07 -0300
